Package org.pushingpixels.substance.internal.utils.combo

# Class SubstanceComboBoxEditor

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
org.pushingpixels.substance.internal.utils.combo.SubstanceComboBoxEditor

All Implemented Interfaces:
  `FocusListener`, `EventListener`, `ComboBoxEditor`

Direct Known Subclasses:
  `SubstanceComboBoxEditor.UIResource`

public class SubstanceComboBoxEditor extends BasicComboBoxEditor
Combobox editor.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SubstanceComboBoxEditor.UIResource`
Combobox editor that implements the marker `UIResource` interface.

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor

`editor`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceComboBoxEditor()`
Creates a new editor.

## Method Summary

### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor

`addActionListener, createEditorComponent, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceComboBoxEditor

public SubstanceComboBoxEditor()
Creates a new editor.